import { Status, ITreeItem } from '@git-stack/core';
import { TreeItemDragProps } from '../TreeModel';
export interface ITreeItemOwnProps {
    item: ITreeItem;
    group: string;
    itemIndex: number;
    styles: any;
    theme: any;
}
export interface ITreeItemOwnStateProps {
    gitContent: any;
}
export interface ITreeItemStateProps {
    fullPath: string;
    selectedPath: string;
    git: any;
}
export interface ITreeItemDispatchProps {
    gitAction: (command: string, item?: ITreeItem) => void;
    setSelectedPath: (path: string) => void;
}
export interface ITreeItemState {
    id: string;
    status: Status;
    statusChar: string;
}
export declare type ITreeProps = ITreeItemOwnProps & ITreeItemDispatchProps & ITreeItemStateProps & ITreeItemOwnStateProps;
export declare type ITreeItemProps = ITreeProps & TreeItemDragProps;
declare const _default: never;
export default _default;
